// PCTOR assembly language interface function prototypes
extern void _t_speedup(); 	// Timer control calls       

extern void set_control(int);	// AMTOR module calls     
extern void set_txdelay(int);
extern void set_cd_delay(int);
extern void set_txmask(int);
extern void set_rxmask(int);
extern int  get_status(void);
extern int  get_phase_err(void);
extern int  get_BKRX(void);
extern int  get_debug1(void);
extern unsigned int  get_debug2(void);
extern unsigned int  get_cases(void);
extern int  get_rxdta(void);
extern int  output_txdta(int);
extern void force_ltrs(void);
extern void set_SELCAL(char *);
extern void set_IDENT(char *);
extern int  test_BIOS(void);
extern int get_data(void);
extern int get_data_nocheck(void);
extern int send_data(int);
extern void send_command(unsigned char);
extern void set_timing(int);
extern void flush_rxbuffer(void);
extern void set_UL_case(int);
extern void set_reliability(int);
extern void set_raw_mode(int);
extern void close_port(void);
extern void get_tuning_data(int *, int *);
extern void set_mem_ARQ(int);
extern int get_RQ(void);
extern int get_ER1(void);
extern int get_ER2(void);
extern void clear_counts(void);
extern int get_RTS(void);
extern int get_MS(void);
