//--------------------------------------------------------------------------
// Global definitions for MAIN routine
//--------------------------------------------------------------------------


// Local function prototype
void display_cursor(void);              // For displaying cursor
void terminate_prog(char *);		// Catastrophic error handler
extern void extend_ascii(Circ_buffer *, char); // Extended character set
void display_status_data(void);		// Status line display
void close_down(void);			// Stop TORBIOS, re-instate int's
void save_xy(int *, int *);		// save window x-y coordinates
void dosshell_cmd(void);		// dos shell command
void logshell_cmd(void);		// log program shell command
void pactor_program(void);		// go pactor 
void buffer_load(int, Circ_buffer*);	// Load special buffer via ALT-x key
void Adjust_Sound_output_level(int level); // Adjust sound out level
void Adjust_Sound_input_level(int level);  // Adjust sound in  level

// Some globals-------------------------------------------------------------
int refresh, sys_stat, old_sec, proc_type, RQ_count, ER1_count;
int x_ind[7], y_ind[7], current_window, number_of_files, ER2_count, entered_space; 
char  ident[20], selcal[20], wru_reply[80], logfilename[40];
char buffer_string[MAX_BUFFERS][20], *buffer_string_ptr[MAX_BUFFERS];
int  buffer_string_size[MAX_BUFFERS], qrt_flag;
char Log_program[40], Packet_program[40], echo_char, prev_echo, scrollback[20];
char L_selcal[11], last_entered_char, second_to_last;
int Mode, local_wru_flag, Raw_mode;
Circ_buffer Keyboard_buffer(SIZ_BUF), Special_buffer(SM_SIZ_BUF);

char version[]=VERS, serial[]=SERIAL_NUMBER;
int tx_delay=DEFAULT_TXDELAY;
int cd_delay=DEFAULT_CDDELAY;
int timing_value=DEFAULT_TIMING;
int window_boundary=DEFAULT_BOUNDARY;
int UOS=DEFAULT_UOS;
int UL_case=DEFAULT_CASE;
int Hi_rely=DEFAULT_RELY;
int Log_option=DEFAULT_LOGOPTION;
int Files_CRLF=DEFAULT_FILECRLF;
long Refresh_rate=DEFAULT_REFRESH;
int Time_Type=DEFAULT_TIME_TYPE;
int Tun_Display=DEFAULT_DISPLAY;
int Word_Mode=DEFAULT_WORD_MODE;
int Mem_ARQ=DEFAULT_MEM_ARQ;
int Stats=DEFAULT_STATS;
int Printer=DEFAULT_PRINTER;
int Receive_only=DEFAULT_RO;

int COM_prt=DEFAULT_COM_PORT;
int irq=DEFAULT_IRQ;
int combase=DEFAULT_COMBASE;
int combaud=19200;
int Sound_out_level=DEFAULT_OLVL;
int Sound_in_level=DEFAULT_ILVL;
int Amtor_Mdm =DEFAULT_AMT_MDM;
int Mask_in=DEFAULT_MASKIN;
int Mask_out=DEFAULT_MASKOUT;
int Mask_toggle=0;
int Source=0x80;

int c_BGCOLOR=BLUE;
int c_CHCOLOR=LIGHTGRAY;
int c_ECHOCOLOR=WHITE;
int c_YELLOW=YELLOW;
int c_CYAN=CYAN;

FILE *logfile;
FILE *scrollfile;
struct tm *curtime;
time_t bintime, previous_time, previous_sw_time;
long previous_biostime;

int bufsize, left,right,top,bottom;	// Save screen for shareware
char *tbuffer;
//int i,x,y;
fpos_t scroll_buffer[SCROLLMAX], *scroll_ptr;
int line_pointer, scrollines, current;


unsigned char old_IMR;

extern "C" void far tor_init(void);
extern "C" int far processor_type(void);
extern "C" void far set_com_port(int,int);
void interrupt (*oldfunc)(...);		// for storage of old INT7 vector
extern "C" void far interrupt INTRP(...);  // Prototype for new interrupt serv.
